Package: org.gradle.plugins.ide.api

## [Groovy] Class FileContentMerger

- org.gradle.plugins.ide.api.FileContentMerger

- Models the generation/parsing/merging capabilities.

  For examples see docs for EclipseProject or IdeaProject and others.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ActionBroadcast` | `beforeMerged`
    `ActionBroadcast` | `whenMerged`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `beforeMerged(Closure closure)` Adds a closure to be called after content is loaded from existing file but before gradle build information is merged
    `void` | `whenMerged(Closure closure)` Adds a closure to be called after content is loaded from existing file and after gradle build information is merged

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### ActionBroadcast beforeMerged

    - #### ActionBroadcast whenMerged

  - ### Method Detail

    - #### void beforeMerged(Closure closure)

      Adds a closure to be called after content is loaded from existing file but before gradle build information is merged

      This is advanced api that gives access to internal implementation. It might be useful if you want to alter the way gradle build information is merged into existing file content

      For examples see docs for EclipseProject or IdeaProject and others.

      Parameters:
        `closure` - The closure to execute.

    - #### void whenMerged(Closure closure)

      Adds a closure to be called after content is loaded from existing file and after gradle build information is merged

      This is advanced api that gives access to internal implementation of idea plugin. Use it only to tackle some tricky edge cases.

      For examples see docs for EclipseProject or IdeaProject and others.

      Parameters:
        `closure` - The closure to execute.